Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.compress.compressors.bzip2
Class BZip2Utils

    java.lang.Object
      org.apache.commons.compress.compressors.bzip2.BZip2Utils

    public abstract class BZip2Utils

extends Object

Utility code for the BZip2 compression format.

Since:
  Commons Compress 1.1
This class is thread-safe

Method Summary
`static String` | `getCompressedFilename(String filename)` Maps the given filename to the name that the file should have after compression with bzip2.
`static String` | `getUncompressedFilename(String filename)` Maps the given name of a bzip2-compressed file to the name that the file should have after uncompression.
`static boolean` | `isCompressedFilename(String filename)` Detects common bzip2 suffixes in the given filename.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isCompressedFilename

    public static boolean isCompressedFilename(String filename)

  Detects common bzip2 suffixes in the given filename.

  Parameters:
    `filename` - name of a file
  Returns:
    `true` if the filename has a common bzip2 suffix, `false` otherwise

### getUncompressedFilename

    public static String getUncompressedFilename(String filename)

  Maps the given name of a bzip2-compressed file to the name that the file should have after uncompression. Commonly used file type specific suffixes like ".tbz" or ".tbz2" are automatically detected and correctly mapped. For example the name "package.tbz2" is mapped to "package.tar". And any filenames with the generic ".bz2" suffix (or any other generic bzip2 suffix) is mapped to a name without that suffix. If no bzip2 suffix is detected, then the filename is returned unmapped.

  Parameters:
    `filename` - name of a file
  Returns:
    name of the corresponding uncompressed file

### getCompressedFilename

    public static String getCompressedFilename(String filename)

  Maps the given filename to the name that the file should have after compression with bzip2. Currently this method simply appends the suffix ".bz2" to the filename based on the standard behaviour of the "bzip2" program, but a future version may implement a more complex mapping if a new widely used naming pattern emerges.

  Parameters:
    `filename` - name of a file
  Returns:
    name of the corresponding compressed file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Apache Software Foundation. All Rights Reserved.